Package org.apache.sling.cms

## Class Reference

- java.lang.Object
- - org.apache.sling.cms.Reference

    public class Reference
    extends Object

### Constructor Summary

Constructors
`Reference​(org.apache.sling.api.resource.Resource resource, String property)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Page` `getContainingPage()`
`String` `getProperty()`
`org.apache.sling.api.resource.Resource` `getResource()`
`String` `getSubPath()`
`boolean` `isPage()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Reference

    public Reference​(org.apache.sling.api.resource.Resource resource,
                     String property)

### Method Detail

#### getProperty

    public String getProperty()

Returns:
  the property

#### getSubPath

    public String getSubPath()

#### getResource

    public org.apache.sling.api.resource.Resource getResource()

Returns:
  the resource

#### isPage

    public boolean isPage()

#### getContainingPage

    public Page getContainingPage()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`